Compare commits

..

17 commits

Author SHA1 Message Date
Brian C. Lane
1a51e0efba - livemedia-creator: Increase the root partition to 7000 (bcl@redhat.com)
- Remove fedora-productimg-workstation, now included with anaconda (bcl@redhat.com)
- Fix live/x86.tmpl indents removed by commit 6aa0a3fdf (bcl@redhat.com)
2019-08-14 16:27:59 -07:00
Brian C. Lane
f0337726a8 - Revert "Pass ssl certificate options to anaconda" (bcl@redhat.com) 2019-05-09 13:22:29 -07:00
Brian C. Lane
0da7415acb - New lorax documentation - 29.28 (bcl@redhat.com)
- Change customizations.firewall to append items instead of replace (bcl@redhat.com)
- Update customizations.services documentation (bcl@redhat.com)
- lorax-composer: Add services support to blueprints (bcl@redhat.com)
- lorax-composer: Add firewall support to blueprints (bcl@redhat.com)
- lorax-composer: Add locale support to blueprints (bcl@redhat.com)
- lorax-composer: Fix customizations when creating a recipe (bcl@redhat.com)
- Update docs for new timezone section (bcl@redhat.com)
- lorax-composer: Add timezone support to blueprint (bcl@redhat.com)
- Proposal for adding to the blueprint customizations (bcl@redhat.com)
- Add test for starting compose with deleted blueprint (jikortus@redhat.com)
- Update VMware info for VMware testing (chrobert@redhat.com)
- tests: Cleanup on failure of in_tempdir (bcl@redhat.com)
- Change [[modules]] to [[packages]] in tests (atodorov@redhat.com)
- Add new test to verify compose paths exist (atodorov@redhat.com)
- Add new sanity tests for blueprints (atodorov@redhat.com)
- Fixes for locked root account test (jikortus@redhat.com)
- Correct "recipes" use to "blueprints" in composer-cli description (kwalker@redhat.com)
- Fix keeping files on Amazon s3 (jstodola@redhat.com)
- Allow to keep objects in AWS (jstodola@redhat.com)
- Fix the google cloud boot console settings (dshea@redhat.com)
- Add a compose type for alibaba. (dshea@redhat.com)
- Add a new compose type for Hyper-V (dshea@redhat.com)
- Add a compose check for google cloud images. (dshea@redhat.com)
- Add a compose type for Google Compute Engine (dshea@redhat.com)
- Add a new output type, tar-disk. (dshea@redhat.com)
- Support compressing single files. (dshea@redhat.com)
- Add an option to align the image size to a multiplier. (dshea@redhat.com)
- Add documentation references to lorax-composer service files (bcl@redhat.com)
- Add more tests for gitrpm.py (bcl@redhat.com)
- lorax-composer: Fix installing files from [[repos.git]] to / (bcl@redhat.com)
- Make it easier to generate docs for the next release (bcl@redhat.com)
- pylorax.ltmpl: Add a test for missing quotes (bcl@redhat.com)
- Don't remove chmem and lsmem from install.img (bcl@redhat.com)
- Add checks for disabled root account (jikortus@redhat.com)
- Update datastore for VMware testing (chrobert@redhat.com)
- Add tests using repos.git in blueprints (bcl@redhat.com)
- Move git repo creation into tests/lib.py (bcl@redhat.com)
- rpmgit: catch potential errors while running git (bcl@redhat.com)
- tests: Add test for Recipe.freeze() function (bcl@redhat.com)
- Add repos.git support to lorax-composer builds (bcl@redhat.com)
- Add pylorax.api.gitrpm module and tests (bcl@redhat.com)
- Add support for [[repos.git]] section to blueprints (bcl@redhat.com)
- tests: Add python3-mock and python3-sphinx_rtd_theme (bcl@redhat.com)
- Use make ci inside test-in-copy target (atodorov@redhat.com)
- Allow overriding $CLI outside test scripts (atodorov@redhat.com)
- New test: Build live-iso and boot with KVM (atodorov@redhat.com)
- lorax-composer: Return UnknownBlueprint errors when using deleted blueprints (bcl@redhat.com)
- lorax-composer: Delete workspace copy when deleting blueprint (bcl@redhat.com)
- New test: Build qcow2 compose and test it with QEMU-KVM (atodorov@redhat.com)
- lorax-composer: pass customization.kernel append to extra_boot_args (bcl@redhat.com)
- Improve logging for template syntax errors (bcl@redhat.com)
- Add extra boot args to the livemedia-creator iso templates (bcl@redhat.com)
- lorax-composer: Add the ability to append to the kernel command-line (bcl@redhat.com)
- qemu wasn't restoring the terminal if it was terminated early (bcl@redhat.com)
- Switch the --virt-uefi method to use SecureBoot (bcl@redhat.com)
- Fix pylint problems with vmware_list_vms.py (bcl@redhat.com)
- Makefile: Make the .test-results directory (bcl@redhat.com)
- Add a ppc64le template for live iso creation (bcl@redhat.com)
- Move the package requirements for live-iso setup out of the template (bcl@redhat.com)
- Remove exclusions from lorax-composer templates (bcl@redhat.com)
- Add LiveTemplateRunner to parse per-arch live-iso package requirements (bcl@redhat.com)
- Move the run part of LoraxTemplateRunner into new TemplateRunner class (bcl@redhat.com)
- lorax-composer: Use reqpart --add-boot for partitioned disk templates (bcl@redhat.com)
- livemedia-creator: Add support for reqpart kickstart command (bcl@redhat.com)
- Make the lorax-composer ks templates more generic (bcl@redhat.com)
- Add script for removing old artifacts from VMware (jstodola@redhat.com)
- Clarify the ks repo only error message (bcl@redhat.com)
- tests: Fix makeFakeRPM calls (bcl@redhat.com)
- Drop _unique_dicts function (bcl@redhat.com)
- Remove unsupported anaconda-docker-addon (#619) (jkonecny@redhat.com)
- New test: Verify tar images with Docker and systemd-nspawn (atodorov@otb.bg)
- Update OpenStack flavor and network settings in tests (atodorov@redhat.com)
- Remove 3G minimum from lorax-composer (bcl@redhat.com)
- Run as root/weldr by default. (clumens@redhat.com)
- Pass ssl certificate options to anaconda (lars@karlitski.net)
- Drop auth from the kickstart examples (bcl@redhat.com)
- Keep OpenStack VMs with Tag keep_me (atodorov@redhat.com)
- Make sure compose build tests run with SELinux in enforcing mode (jikortus@redhat.com)
- Update with instructions about commit log referencing Bugzilla (atodorov@redhat.com)
- Add script for removing old artifacts from Azure (jstodola@redhat.com)
- Use existing storage account (jstodola@redhat.com)
- Record date/time of VM creation (jstodola@redhat.com)
- Remove obsolete Group tag (ignatenkobrain@fedoraproject.org)
- fedora-livemedia.ks: Add packages needed to boot livecd on UEFI systems (bcl@redhat.com)
- Export OS_PROJECT_NAME variable in openstack scripts (jstodola@redhat.com)
- Collect results from all cleanup scripts (jstodola@redhat.com)
- Typo in PR template (atodorov@redhat.com)
- Expand parameters as separate words (jstodola@redhat.com)
- Add PR template with instructions for repo members (atodorov@redhat.com)
- Add script for removing old artifacts from OpenStack (jstodola@redhat.com)
- Add script for removing old artifacts from AWS (jstodola@redhat.com)
- Add timestamps to program.log and dnf.log (bcl@redhat.com)
- tests: use the first IP address if more than 1 retruned from OpenStack (atodorov@redhat.com)
- tests: remove a debugging command (atodorov@redhat.com)
- Add openstack to the image type list in the docs (dshea@redhat.com)
- Teach OpenStack test to distinguish between RHEL and Fedora (atodorov@redhat.com)
- Use full path for Azure playbook as well (atodorov@redhat.com)
- Use a temporary dir for ssh keys during testing (atodorov@redhat.com)
- Update V_DATASTORE b/c defaults appear to have been changed (atodorov@redhat.com)
- Clone pyvmomi samples in the correct directory (atodorov@redhat.com)
- Use full path when pushing toml files during testing (atodorov@redhat.com)
- Add empty ci_after_success target for Jenkins (atodorov@redhat.com)
- Implicitly specify ssh key directory/files for testing (atodorov@redhat.com)
- [test] Clean up containers.json (atodorov@redhat.com)
- Teach AWS test to distinguish between RHEL and Fedora (atodorov@redhat.com)
- Use a temporary shared dir when testing (atodorov@redhat.com)
- Copy blueprints used for testing to temporary directory (atodorov@redhat.com)
- Add make targets for Jenkins (atodorov@redhat.com)
- Teach test_cli.sh to execute test scripts via arguments (atodorov@redhat.com)
- new test: build an image and deploy it on Azure (atodorov@redhat.com)
- Fix typo in comment (atodorov@redhat.com)
- Fix reporting of coverage results to coverall.io (bcl@redhat.com)
- For OpenStack build image with rng-tools installed (atodorov@redhat.com)
- Add tests for partitioned disk images (bcl@redhat.com)
- Create a kpartx_disk_img function (bcl@redhat.com)
- Add tests for pylorax.imgutils (bcl@redhat.com)
- Add tests to test_creator.py (bcl@redhat.com)
- Fix make_appliance and the libvirt.tmpl (bcl@redhat.com)
- Add some tests for creator.py (bcl@redhat.com)
- tests: Add executils test (bcl@redhat.com)
- tests: Add sysutils test (bcl@redhat.com)
- tests: Add discinfo test (bcl@redhat.com)
- tests: Add treeinfo test (bcl@redhat.com)
- Stop using build to run the tests, allow using podman (bcl@redhat.com)
- new test: build and deploy an image in OpenStack (atodorov@redhat.com)
- Fix typos in VM_NAME and cleanup command (atodorov@redhat.com)
- new test: build and deploy images on vSphere (atodorov@redhat.com)
- Update docs with info about ssh keys (atodorov@redhat.com)
- new test: build and deploy images on AWS (atodorov@redhat.com)
- Disable execution of new tests which need Docker privileged mode (atodorov@redhat.com)
- New tests: build ext4-filesystem and partitioned-disk composes (atodorov@redhat.com)
- Add --squashfs-only option to drop inner rootfs.img layer (marmarek@invisiblethingslab.com)
- lorax: Log when SOURCE_DATE_EPOCH is used for the current time (bcl@redhat.com)
- Drop non-determinism from default templates (marmarek@invisiblethingslab.com)
- Use SOURCE_DATE_EPOCH for volumeid of efi boot image (marmarek@invisiblethingslab.com)
- Preserve timestamps when building fs image (marmarek@invisiblethingslab.com)
- Use SOURCE_DATE_EPOCH for metadata timestamps (marmarek@invisiblethingslab.com)
2019-05-07 15:58:30 -07:00
Brian C. Lane
dac689be2d - Add some extra cancel_func protection to QEMUInstall (bcl@redhat.com)
- installer: make sure cancel_func has a value (#612) (yuvalt@gmail.com)
  Resolves: rhbz#1683825
2019-02-28 10:57:39 -08:00
Brian C. Lane
29d808f0a0 - Remove duplicate repositories from the sources list (bcl@redhat.com)
- lorax: Move default tmp dir to /var/tmp/lorax (bcl@redhat.com)
2019-01-30 12:06:35 -08:00
Brian C. Lane
22b2f7bc7b Don't exclude /dev from the setfiles in novirt_install (awilliam@redhat.com)
dracut-fips is no longer a subpackage, it is included in dracut.  (bcl@redhat.com)
2019-01-18 09:37:22 -08:00
Brian C. Lane
e26629bc27 - Remove unneeded else from for/else loop. It confuses pylint (bcl@redhat.com)
- Turn off pylint warning about docstring with backslash (bcl@redhat.com)
- Turn off smartquotes in Sphinx documentation (bcl@redhat.com)
- fixes #543 qemu -nodefconfig deprecated (afm404@gmail.com)
- fix spinx build warnings (afm404@gmail.com)
- Allow customizations to be specified as a toml list (dshea@redhat.com)
- Revert "lorax-composer: Cancel running Anaconda process" (bcl@redhat.com)
- Make sure cancel_func is not None (bcl@redhat.com)
2019-01-08 14:39:10 -08:00
Brian C. Lane
161dae129a - lorax: Save information about rootfs filesystem size and usage (bcl@redhat.com)
- Turn on signed tags when using tito. (bcl@redhat.com)
- lorax-composer: Cancel running Anaconda process (bcl@redhat.com)
- Add cancel_func to virt and novirt_install functions (bcl@redhat.com)
- lorax-composer: Check for STATUS before deleting (bcl@redhat.com)
- Check for existing CANCEL request, and exit on FINISHED (bcl@redhat.com)
- Fix vhd images (vponcova@redhat.com)
2018-12-17 16:51:56 -08:00
Brian C. Lane
546b60f80a - lorax-composer: Handle packages with multiple builds (bcl@redhat.com)
- lorax-composer: Check the queue and results at startup (bcl@redhat.com)
2018-12-06 16:16:39 -08:00
Brian C. Lane
c79fc98634 - New lorax documentation - 29.21 (bcl@redhat.com)
- lorax-composer: Install selinux-policy-targeted in images (bcl@redhat.com)
- Remove setfiles from mkrootfsimage (bcl@redhat.com)
- Remove SELinux Permissive checks (bcl@redhat.com)
- Add --no-system-repos to lorax-composer (bcl@redhat.com)
2018-11-29 14:50:07 -08:00
Brian C. Lane
74b4cdaac6 - New lorax documentation - 29.20 (bcl@redhat.com)
- Add tests for ltmpl.py (bcl@redhat.com)
- Move get_dnf_base_object into a module (bcl@redhat.com)
- Build manpages for composer-cli and lorax-composer (bcl@redhat.com)
- Fix singlerepo test for f29 (bcl@redhat.com)
- Update the projects tests to use DNF Repo object (bcl@redhat.com)
- dnf changed the type of gpgkey to a tuple (bcl@redhat.com)
- Install python3-librepo in the test container (bcl@redhat.com)
2018-10-29 15:56:35 -07:00
Brian C. Lane
6180a20e67 - Update depsolving with suggestions from dnf (#1636239) (bcl@redhat.com)
- Disable false context-manager pylint error (bcl@redhat.com)
- Fix directory creation for blueprints (bcl@redhat.com)
- Update the tests for new make_dnf_dir arguments. (bcl@redhat.com)
- Change make_dnf_dirs to be run as root (bcl@redhat.com)
2018-10-12 16:09:15 -07:00
Brian C. Lane
e48153a814 - Add an openstack image type (bcl@redhat.com)
- Add cloud-init to vhd images. (dshea@redhat.com)
- Replace /etc/machine-id with an empty file (dshea@redhat.com)
2018-10-09 11:41:13 -07:00
Brian C. Lane
d223cb8250 - Update cli tests to use composer-cli name (bcl@redhat.com)
- Revert "Rename composer-cli to composer" (bcl@redhat.com)
2018-10-08 16:04:39 -07:00
Brian C. Lane
5c7866cbe6 - Work around dnf problem with multiple repos (bcl@redhat.com)
- Add and enable cloud-init for ami images (lars@karlitski.net)
- Switch default platform id to f29 (bcl@redhat.com)
- Report an error if the blueprint doesn't exist (bcl@redhat.com)
- cli: Clarify error message for unprivileged access (lars@karlitski.net)
- Write a rootpw line if no root customizations in the blueprint (bcl@redhat.com)
- Add beakerlib to Dockerfile.test (bcl@redhat.com)
- Adjust the new templates for locked root (bcl@redhat.com)
- Adjust projects test for DNF 3.6.1 tuple issue (bcl@redhat.com)
- Don't try to append to DNF config value that can't take it (awilliam@redhat.com)
- Always update repo metadata when building an image (bcl@redhat.com)
- Add a test for repo metadata expiration (bcl@redhat.com)
- Add tests for setting root password and ssh key with blueprints (bcl@redhat.com)
- Use rootpw for setting the root password instead of user (bcl@redhat.com)
- Lock the root account, except on live-iso (bcl@redhat.com)
- Add new compose types to compose sanity test (dshea@redhat.com)
- Add virt guest agents to the qcow2 compose (dshea@redhat.com)
- Add a vmdk compose type. (dshea@redhat.com)
- Add a vhd compose type for Azure images (dshea@redhat.com)
- Add an ami compose type for AWS images (dshea@redhat.com)
- Remove --fstype from the generated part line (dshea@redhat.com)
- Also run `make check` on travis (lars@karlitski.net)
- Fix pylint errors and warnings (lars@karlitski.net)
- New cli test covering basic compose commands (atodorov@redhat.com)
- Execute bash tests for composer-cli (atodorov@redhat.com)
- Rename composer-cli to composer (lars@karlitski.net)
- Include python3-pyatspi on boot.iso (#1506595) (bcl@redhat.com)
- Start a HACKING.md file and document how to run the tests (stefw@redhat.com)
- tests: Fix tests so they run on Fedora 28 (stefw@redhat.com)
- Ignore files created by tests (stefw@redhat.com)
- Makefile: Fix the 'make install' target (stefw@redhat.com)
- Replace CJK fonts with Google Noto CJK (akira@tagoh.org)
- Fix a DeprecationWarning (dshea@redhat.com)
- Fix the expected versions of blueprint components (dshea@redhat.com)
- Automatic commit of package [lorax] release [29.15-1]. (bcl@redhat.com)
- Add a Makefile target for building html docs using a rawhide environment (bcl@redhat.com)
- Revert "Don't activate default auto connections after switchroot" (rvykydal@redhat.com)
- New lorax documentation - 29.14 (bcl@redhat.com)
- Automatic commit of package [lorax] release [29.14-1]. (bcl@redhat.com)
- Add the create ISO component for ARMv7 (pbrobinson@gmail.com)
- Don't activate default auto connections after switchroot (rvykydal@redhat.com)
- Ignore a pylint warning about UnquotingConfigParser get args (bcl@redhat.com)
- Ditch all use of pyanaconda's simpleconfig (awilliam@redhat.com)
- Automatic commit of package [lorax] release [29.13-1]. (bcl@redhat.com)
- Update the example blueprints for rawhide (bcl@redhat.com)
- Bump required dnf version to 3.2.0 for module_platform_id support (bcl@redhat.com)
- Add support for DNF 3.2 module_platform_id config value (bcl@redhat.com)
- lorax: Only run depmod on the installed kernels (bcl@redhat.com)
- Make no-virt generated images sparser (dshea@redhat.com)
- Update Dockerfile.test to use f29 from fedora registry (bcl@redhat.com)
- Need to explicitly require python3-librepo (#1626413) (bcl@redhat.com)
2018-10-05 14:57:55 -07:00
Adam Williamson
cc2b5de258 Backport PR #480 for DNF 3.6 compatibility (RHBZ #1595917) 2018-10-02 14:05:47 -07:00
Brian C. Lane
76e5dafb9c - Add python3-librepo requirement (bcl@redhat.com) 2018-09-11 08:35:21 -07:00
7 changed files with 726 additions and 987 deletions

View file

@ -1 +0,0 @@
1

146
.gitignore vendored
View file

@ -137,134 +137,18 @@
/lorax-29.10.tar.gz
/lorax-29.11.tar.gz
/lorax-29.12.tar.gz
/lorax-29.13.tar.gz
/lorax-29.14.tar.gz
/lorax-29.15.tar.gz
/lorax-30.0.tar.gz
/lorax-30.1.tar.gz
/lorax-30.2.tar.gz
/lorax-30.3.tar.gz
/lorax-30.4.tar.gz
/lorax-30.5.tar.gz
/lorax-30.6.tar.gz
/lorax-30.7.tar.gz
/lorax-30.8.tar.gz
/lorax-30.9.tar.gz
/lorax-30.10.tar.gz
/lorax-30.12.tar.gz
/lorax-30.13.tar.gz
/lorax-30.14.tar.gz
/lorax-30.15.tar.gz
/lorax-30.16.tar.gz
/lorax-31.0.tar.gz
/lorax-31.1.tar.gz
/lorax-31.2.tar.gz
/lorax-31.3.tar.gz
/lorax-31.4.tar.gz
/lorax-31.5.tar.gz
/lorax-31.6.tar.gz
/lorax-31.7.tar.gz
/lorax-31.8.tar.gz
/lorax-31.9.tar.gz
/lorax-31.10.tar.gz
/lorax-32.0.tar.gz
/lorax-32.1.tar.gz
/lorax-32.2.tar.gz
/lorax-32.3.tar.gz
/lorax-32.4.tar.gz
/lorax-32.5.tar.gz
/lorax-32.6.tar.gz
/lorax-32.7.tar.gz
/lorax-33.0.tar.gz
/lorax-33.1.tar.gz
/lorax-33.2.tar.gz
/lorax-33.3.tar.gz
/lorax-33.4.tar.gz
/lorax-33.5.tar.gz
/lorax-33.6.tar.gz
/lorax-33.7.tar.gz
/lorax-33.8.tar.gz
/lorax-33.9.tar.gz
/lorax-34.0.tar.gz
/lorax-34.1.tar.gz
/lorax-34.2.tar.gz
/lorax-34.3.tar.gz
/lorax-34.4.tar.gz
/lorax-34.5.tar.gz
/lorax-34.6.tar.gz
/lorax-34.7.tar.gz
/lorax-34.8.tar.gz
/lorax-34.9.tar.gz
/lorax-35.0.tar.gz
/lorax-35.1.tar.gz
/lorax-35.2.tar.gz
/lorax-35.3.tar.gz
/lorax-35.4.tar.gz
/lorax-35.5.tar.gz
/lorax-35.6.tar.gz
/lorax-35.7.tar.gz
/lorax-36.0.tar.gz
/lorax-36.1.tar.gz
/lorax-36.2.tar.gz
/lorax-36.3.tar.gz
/lorax-36.4.tar.gz
/lorax-36.5.tar.gz
/lorax-36.6.tar.gz
/lorax-36.7.tar.gz
/lorax-36.8.tar.gz
/lorax-36.9.tar.gz
/lorax-37.0.tar.gz
/lorax-37.1.tar.gz
/lorax-37.2.tar.gz
/lorax-37.3.tar.gz
/lorax-37.4.tar.gz
/lorax-37.5.tar.gz
/lorax-37.6.tar.gz
/lorax-37.7.tar.gz
/lorax-37.8.tar.gz
/lorax-38.0.tar.gz
/lorax-38.1.tar.gz
/lorax-38.2.tar.gz
/lorax-38.3.tar.gz
/lorax-38.4.tar.gz
/lorax-38.5.tar.gz
/lorax-38.6.tar.gz
/lorax-39.0.tar.gz
/lorax-39.1.tar.gz
/lorax-39.2.tar.gz
/lorax-39.3.tar.gz
/lorax-39.4.tar.gz
/lorax-39.5.tar.gz
/lorax-40.0.tar.gz
/lorax-40.1.tar.gz
/lorax-40.2.tar.gz
/lorax-40.3.tar.gz
/lorax-40.4.tar.gz
/lorax-40.5.tar.gz
/lorax-40.6.tar.gz
/lorax-41.0.tar.gz
/lorax-41.1.tar.gz
/lorax-41.2.tar.gz
/lorax-41.3.tar.gz
/lorax-42.0.tar.gz
/lorax-42.1.tar.gz
/lorax-42.2.tar.gz
/lorax-42.3.tar.gz
/lorax-42.4.tar.gz
/lorax-42.5.tar.gz
/lorax-43.0.tar.gz
/lorax-43.1.tar.gz
/lorax-43.2.tar.gz
/lorax-43.3.tar.gz
/lorax-43.4.tar.gz
/lorax-43.5.tar.gz
/lorax-43.6.tar.gz
/lorax-43.7.tar.gz
/lorax-43.8.tar.gz
/lorax-43.9.tar.gz
/lorax-43.10.tar.gz
/lorax-44.0.tar.gz
/lorax-44.1.tar.gz
/lorax-44.2.tar.gz
/lorax-44.3.tar.gz
/lorax-44.4.tar.gz
/lorax-29.16.tar.gz
/lorax-29.17.tar.gz
/lorax-29.18.tar.gz
/lorax-29.19.tar.gz
/lorax-29.20.tar.gz
/lorax-29.21.tar.gz
/lorax-29.22.tar.gz
/lorax-29.23.tar.gz
/lorax-29.24.tar.gz
/lorax-29.25.tar.gz
/lorax-29.26.tar.gz
/lorax-29.27.tar.gz
/lorax-29.28.tar.gz
/lorax-29.29.tar.gz
/lorax-29.30.tar.gz

View file

@ -1,7 +0,0 @@
--- !Policy
product_versions:
- fedora-*
decision_contexts: [bodhi_update_push_stable]
subject_type: koji_build
rules:
- !PassingTestCaseRule {test_case_name: fedora-ci.koji-build.tier0.functional}

1280
lorax.spec

File diff suppressed because it is too large Load diff

View file

@ -1,3 +0,0 @@
summary: Run Lorax tests (build an iso, run mkksiso on it)
execute:
script: ./tests/scripts/run_tests.sh

View file

@ -1 +1 @@
SHA512 (lorax-44.4.tar.gz) = e2be9a13a0aec657bfe9a32dbd51e9024dfcb89471dbc57b8206dccdcd71cf5561fb25f97a7fdaca2b0279a2966b142ddf4e4544577ac2b47171f19648742577
SHA512 (lorax-29.30.tar.gz) = 300b87398b879dc2b108000a6c8f43d6ce70461d8fdcea131ad95ed48776aba34dbd8a7c8ce64632609bcfdc85b9849d49caceb55af0ec242a423ba558794cd4

View file

@ -1,274 +0,0 @@
#!/bin/bash
set -eux
FAILANY=0
BOOTISO=/var/tmp/lorax-fedora-iso/images/boot.iso
KSNAME=fedora-minimal.ks
KS="/usr/share/doc/lorax/$KSNAME"
OUTISO=/var/tmp/out.iso
ISODIR=/var/tmp/iso
## Functions for testing mkkiso
function fail {
echo -e "\n\n#### ERROR: $1\n"
FAIL=1
FAILANY=1
}
function status {
if [ "$FAIL" -eq 0 ]; then
echo -e "\n\n#### PASS: $1\n"
else
echo -e "\n\n#### FAIL: $1\n"
fi
}
function running {
FAIL=0
echo -e "\n\n#### RUN: $1\n"
}
# unmount the dirs lazily because sometimes some outside thing is still touching them
function umount_dirs {
umount --lazy "$ISODIR"
rm -f "$OUTISO"
}
[ -e "$ISODIR" ] || mkdir "$ISODIR"
# Only add kickstart
function ks_only {
running "Add kickstart to iso using --ks"
mkksiso --ks $KS $BOOTISO $OUTISO || exit 1
mount $OUTISO $ISODIR || exit 1
test_ks
status "Add kickstart to iso using --ks"
umount_dirs
}
# Only add kickstart
function ks_pos_only {
running "Add kickstart to iso using positional argument"
mkksiso $KS $BOOTISO $OUTISO || exit 1
mount $OUTISO $ISODIR || exit 1
test_ks
status "Add kickstart to iso using positional argument"
umount_dirs
}
function test_ks {
## This all needs to be another function
# Is there a kickstart in / of the iso?
[ -e "$ISODIR/$KSNAME" ] || fail "Missing kickstart"
# Is the kickstart in the GRUB2 BIOS config?
grep "inst.ks=.*$KSNAME" "$ISODIR/boot/grub2/grub.cfg" || fail "Missing BIOS grub.cfg kickstart entry"
# Is the kickstart in the UEFI config?
grep "inst.ks=.*$KSNAME" "$ISODIR/EFI/BOOT/grub.cfg" || fail "Missing UEFI grub.cfg kickstart entry"
}
# Add ks and cmdline
function ks_serial {
running "Add kickstart and serial cmdline"
mkksiso -c "console=ttyS0,115200n8" --ks $KS $BOOTISO $OUTISO || exit 1
mount $OUTISO $ISODIR || exit 1
test_ks
test_serial
status "Add kickstart and serial cmdline"
umount_dirs
}
# Only add serial console to cmdline
function only_serial {
running "Add serial cmdline (no ks)"
mkksiso -c "console=ttyS0,115200n8" $BOOTISO $OUTISO || exit 1
mount $OUTISO $ISODIR || exit 1
test_serial
status "Add kickstart and serial cmdline"
umount_dirs
}
function test_serial {
# Is the serial in the BIOS config?
grep "console=ttyS0,115200n8" "$ISODIR/boot/grub2/grub.cfg" || fail "Missing BIOS grub.cfg cmdline entry"
# Is the serial in the UEFI config?
grep "console=ttyS0,115200n8" "$ISODIR/EFI/BOOT/grub.cfg" || fail "Missing UEFI grub.cfg cmdline entry"
}
# New VOLID
function new_volid {
running "Use a new VOLID"
mkksiso -V "mkksiso-test" --ks $KS $BOOTISO $OUTISO || exit 1
mount $OUTISO $ISODIR || exit 1
test_ks
test_volid
status "Use a new VOLID"
umount_dirs
}
function test_volid {
# Is the VOLID in the BIOS config?
grep "hd:LABEL=mkksiso-test" "$ISODIR/boot/grub2/grub.cfg" || fail "Missing BIOS grub.cfg kickstart entry"
# Is the VOLID in the UEFI config?
grep "hd:LABEL=mkksiso-test" "$ISODIR/EFI/BOOT/grub.cfg" || fail "Missing UEFI grub.cfg kickstart entry"
}
# Add extra files
function add_files {
running "Add files"
mkksiso -a /etc/services --ks $KS $BOOTISO $OUTISO || exit 1
mount $OUTISO $ISODIR || exit 1
test_ks
test_files
status "Add files"
umount_dirs
}
# Remove quiet from the cmdline
function remove_quiet {
running "remove quiet from cmdline (no ks)"
mkksiso --rm "quiet" $BOOTISO $OUTISO || exit 1
mount $OUTISO $ISODIR || exit 1
test_quiet
status "Remove quiet from cmdline"
umount_dirs
}
function test_quiet {
# Is quiet in the BIOS config?
! grep "append.*quiet" "$ISODIR/boot/grub2/grub.cfg" || fail "quiet not removed from BIOS grub.cfg cmdline entry"
# Is quiet in the UEFI config?
! grep "linux.*quiet" "$ISODIR/EFI/BOOT/grub.cfg" || fail "quiet not removed from UEFI grub.cfg cmdline entry"
}
# Test error if passing both --ks FILE and 3 arguments
function test_two_kickstarts {
running "Test two kickstart error"
mkksiso --ks $KS $KS $BOOTISO $OUTISO && fail "No error using --ks and positional argument"
status "Test two kickstart error"
}
function test_files {
[ -e "$ISODIR/services" ] || fail "Missing file from iso"
}
# Test adding an updates.img file
function add_updatesimg {
running "Add updates.img"
# nothing in the file, just test that it is there
touch /tmp/updates.img
mkksiso -u /tmp/updates.img $BOOTISO $OUTISO || exit 1
mount $OUTISO $ISODIR || exit 1
test_updatesimg
status "Add updates.img"
umount_dirs
}
function test_updatesimg {
[ -e "$ISODIR/updates.img" ] || fail "Missing updates.img file from iso"
grep "inst.updates=.*updates.img" "$ISODIR/boot/grub2/grub.cfg" || fail "Missing BIOS grub.cfg inst.updates entry"
grep "inst.updates=.*updates.img" "$ISODIR/EFI/BOOT/grub.cfg" || fail "Missing UEFI grub.cfg inst.updates entry"
}
# All of the changes
function run_all {
running "Use all the options"
touch /tmp/updates.img
mkksiso -u /tmp/updates.img -a /etc/services -V "mkksiso-test" -c "console=ttyS0,115200n8" --rm "quiet" --ks $KS $BOOTISO $OUTISO || exit 1
mount $OUTISO $ISODIR || exit 1
test_ks
test_serial
test_volid
test_files
test_updatesimg
test_quiet
status "Use all the options"
umount_dirs
}
# All of the changes as a user (lorax-ted) with --skip-mkefiboot
function run_as_user {
running "Use all the options as a user"
[ ! -e "/home/lorax-ted" ] && useradd -m lorax-ted
touch /tmp/updates.img
su - lorax-ted -c "mkksiso --skip-mkefiboot -u /tmp/updates.img -a /etc/services -V "mkksiso-test" -c "console=ttyS0,115200n8" --rm "quiet" --ks $KS $BOOTISO $OUTISO" || exit 1
mount $OUTISO $ISODIR || exit 1
test_ks
test_serial
test_volid
test_files
test_updatesimg
test_quiet
status "Use all the options as a user with --skip-mkefiboot"
umount_dirs
}
# Gather up the list of system repo files and use them for lorax
REPOS=$(for f in /etc/yum.repos.d/*repo; do echo -n "--repo $f "; done)
if [ -z "$REPOS" ]; then
echo "No system repos found"
exit 1
fi
# NOTE: We must use --nomacboot because the test system doesn't have the hfsplus fs available
# Run lorax using the host's repository configuration file
if [ ! -e "$BOOTISO" ]; then
running "Build boot.iso with lorax"
lorax --product="Fedora" --version=rawhide --release=rawhide --volid="Fedora-rawhide-test" \
$REPOS --isfinal --nomacboot /var/tmp/lorax-fedora-iso/ || exit 1
fi
# Test mkksiso on the new boot.iso
ks_only
ks_pos_only
ks_serial
only_serial
new_volid
add_files
remove_quiet
test_two_kickstarts
add_updatesimg
run_all
run_as_user
exit $FAILANY